set memory 600m  

**************************************************************************************************
*** Better Access to Microcredits:Does Geographical Proximity Matter?
**************************************************************************************************

//1// Cross-distrcit variation in availability of microcredit 
use MFI_district, clear 

//2// Truncated poisson
*+1 shifted Truncated Poisson 
gen mfi_number1=mfi_number+1
ta mfi_number1


*Saving IV1 and district level data: 
save BBag1, replace


//3// Now adding "q1" unique identifyer for MFI database so that to work later with that: 
*Making unified coding: 
replace  district_name=	"Bekobod (Region 2)" if district_name=="Bekabad District"
replace  district_name=	"Gazalkent (Region 2)" if district_name=="Bostanliq District"
replace  district_name=	"Buka (Region 2)" if district_name=="Buka District"
replace  district_name=	"Chinaz  (Region 2)" if district_name=="Chinaz District"
replace  district_name=	"Kibray (Region 2)" if district_name=="Qibray District"
replace  district_name=	"Okhangaron (Region 2)" if district_name=="Okhangaron District"
replace  district_name=	"Oqqurgon (Region 2)" if district_name=="Oqqurgan District"
replace  district_name=	"Parkent (Region 2)" if district_name=="Parkent District"
replace  district_name=	"Pskent (Region 2)" if district_name=="Piskent District"
replace  district_name=	"Nazarbek (Region 2)" if district_name=="Quyi Chirchiq District"
replace  district_name=	"Toytepa (Region 2)" if district_name=="Orta Chirchiq District"
replace  district_name=	"Yangiyol (Region 2)" if district_name=="Yangiyol District"
replace  district_name=	"Angren (Region 2)" if district_name=="Yukori Chirchiq District"
replace  district_name=	"Zangiota (Region 2)" if district_name=="Zangiata District"
replace  district_name=	"Chirchiq (Region 2)" if district_name=="Chirchik city"
replace  district_name=	"Yangiyol (Region 2)" if district_name=="Yangiyol city"
replace  district_name=	"Almalik (Region 2)" if district_name=="Almalyk city"
replace  district_name=	"Oltiariq (Region 3)" if district_name=="Altyariq District"
replace  district_name=	"Beshariq (Region 3)" if district_name=="Beshariq District"
replace  district_name=	"Dangara (Region 3)" if district_name=="Dangara District"
replace  district_name=	"Furqat (Region 3)" if district_name=="Furqat District"
replace  district_name=	"Kushtepa (Region 3)" if district_name=="Qoshtepa District"
replace  district_name=	"Kuva (Region 3)" if district_name=="Quva District"
replace  district_name=	"Uchkuprik (Region 3)" if district_name=="Uchkuprik District"
replace  district_name=	"Uzbekiston (Region 3)" if district_name=="Uzbekistan District"
replace  district_name=	"Yozyovon (Region 3)" if district_name=="Yazyavan District"
replace  district_name=	"Kokand (Region 3)" if district_name=="Kokand city"
replace  district_name=	"Betemir distrcit (Region 1)"  if district_name=="Bektemir"
replace  district_name=	"Chilanzar district (Region 1)" if district_name=="Chilanzar"
replace  district_name=	"Hamza district (Region 1)" if district_name=="Hamza"
replace  district_name=	"Mirobod district (Region 1)" if district_name=="Mirobod"
replace  district_name=	"Mirzo-Ulugbek distrcit (Region 1)" if district_name=="Mirzo Ulugbek"
replace  district_name=	"Sergeli distrcit (Region 1)" if district_name=="Sergeli"
replace  district_name=	"Shayhontohur district (Region 1)" if district_name=="Shaykhontohur"
replace  district_name=	"Almazar district (Region 1)" if district_name=="Olmazar"
replace  district_name=	"Uchtepa district (Region 1)" if district_name=="Uchtepa"
replace  district_name=	"Yakkasaroy district (Region 1)" if district_name=="Yakkasaray"
replace  district_name=	"Unus-Abad district (Region 1)" if district_name=="Yunusabad"

*Converting string to numberic format: 
encode district_name, gen(q3)
save BBag2, replace

*Merging with Business Impact database to work with IV2: 
use Business_Impact, clear
joinby q1 using Q3
joinby q3 using BBag2 
save BBag3, replace 


use Business_Impact, clear
joinby q1 using Q3
joinby q3 using BBag2 
save BBag3, replace 

g xx=runiform()
sort xx

// August 7, 2014  - Generating two new outccome variables per RF request: 
*[1] Business capital (assets) --> Bizasset
*[2] Labour productivity       --> LabProd

joinby q1 using 4-Business
egen Bizasset=rowtotal(b12b_1 b12b_2 b12b_3 b12b_4 b12b_5 b12b_6 b12b_7)
su  Bizasset
table D, c(mean Bizasset) f(%9.2f) center row
su Bizasset
*
gen LabProd=biz_income/biz_employ
su LabProd
table D, c(mean LabProd) f(%9.2f) center row



*************************************************************************

*Propensity Score Matching:

*************************************************************************

*Desctiption of Distance quantiles: 
*D is a Distance Dummy: 
su D
tab D

sort D
by D: su biz_income biz_profit biz_employ


*Easy_Difficult ==1 means Easy Access to MFIS
*Easy_Difficult ==0 means Difficult Access to MFIS
sort Easy_Difficult
by Easy_Difficult: su  biz_income biz_profit biz_employ


*List of all Covariates:
sum age female lag1_wealth lag2_wealth lag1_weds lag2_weds educ3_secondry  educ4_vocational educ5_higher F_educ3_secondry F_educ4_vocational F_educ5_higher density

*Listof BUSINESS OUTCOME variables
sum biz_income biz_profit biz_employ

*These are in different dataset: 
*sum  total_exp educ_exp medi_exp family_exp house_exp basic_exp income Totalasset


*Stata route for matching: 
*psmatch2 depvar [indepvars] [if exp] [in range] [, outcome(varlist)
                     pscore(varname) neighbor(integer) radius caliper(real)
                     mahalanobis(varlist) ai(integer) population altvariance
                     kernel llr kerneltype(type) bwidth(real) spline
                     nknots(integer) common trim(real) noreplacement
                     descending odds index logit ties quietly w(matrix) ate]



logit Easy_Difficult age female lag1_wealth lag2_wealth lag1_weds lag2_weds educ3_secondry  educ4_vocational educ5_higher F_educ3_secondry F_educ4_vocational F_educ5_higher density
probit Easy_Difficult age female lag1_wealth lag2_wealth lag1_weds lag2_weds educ3_secondry  educ4_vocational educ5_higher F_educ3_secondry F_educ4_vocational F_educ5_higher density
			 
					 
*Matching: 
*Outcome variable: biz_income 			 
psmatch2 Easy_Difficult age female lag1_wealth lag2_wealth lag1_weds lag2_weds educ3_secondry  F_educ3_secondry  density, outcome(biz_income) kernel  ate

*Outcome variable: biz_profit biz_employ		
psmatch2 Easy_Difficult age female lag1_wealth lag2_wealth lag1_weds lag2_weds educ3_secondry  F_educ3_secondry  density, outcome(biz_profit) kernel  ate

*Outcome variable: biz_employ	
psmatch2 Easy_Difficult age female lag1_wealth lag2_wealth lag1_weds lag2_weds educ3_secondry  F_educ3_secondry  density, outcome(biz_employ) kernel  ate

*Outcome variable: Bizasset
psmatch2 Easy_Difficult age female lag1_wealth lag2_wealth lag1_weds lag2_weds educ3_secondry  F_educ3_secondry  density, outcome(Bizasset) kernel  ate

*Outcome variable: LabProd
psmatch2 Easy_Difficult age female lag1_wealth lag2_wealth lag1_weds lag2_weds educ3_secondry  F_educ3_secondry  density, outcome(LabProd) kernel  ate


STOP
use aux_file, clear




